NX Open C++ Reference Guide
|
Represents a single object selection. More...
Public Member Functions | |
void | GetValue (NXOpen::Assemblies::Component **selection, NXOpen::View **view, NXOpen::Point3d *point) |
The object being selected with the object's view and point. | |
void | GetValue (NXOpen::InferSnapType::SnapType *snapType, NXOpen::Assemblies::Component **selection1, NXOpen::View **view1, NXOpen::Point3d *point1, NXOpen::Assemblies::Component **selection2, NXOpen::View **view2, NXOpen::Point3d *point2) |
The object being selected with the objects view and point and snap information. | |
NXOpen::Assemblies::Component * | GetValue (NXOpen::CaeObjectType::CaeSubType *caeSubType, int *caeSubId) |
The object being selected with CAE set object information. | |
void | SetValue (NXOpen::Assemblies::Component *selection) |
Sets the object being selected. | |
void | SetValue (NXOpen::Assemblies::Component *selection, NXOpen::View *view, const NXOpen::Point3d &point) |
The object being selected with the object's view and object's point. | |
void | SetValue (NXOpen::InferSnapType::SnapType snapType, NXOpen::Assemblies::Component *selection1, NXOpen::View *view1, const NXOpen::Point3d &point1, NXOpen::Assemblies::Component *selection2, NXOpen::View *view2, const NXOpen::Point3d &point2) |
The object being selected with the objects view and objects point and snap information. | |
void | SetValue (NXOpen::Assemblies::Component *selection, NXOpen::CaeObjectType::CaeSubType caeSubType, int caeSubId) |
The object being selected with CAE set object information. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
NXOpen::Assemblies::Component * | Value () |
Returns the object being selected. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a single object selection.
Created in NX5.0.0.
void NXOpen::Assemblies::SelectComponent::GetValue | ( | NXOpen::Assemblies::Component ** | selection, |
NXOpen::View ** | view, | ||
NXOpen::Point3d * | point | ||
) |
The object being selected with the object's view and point.
Created in NX5.0.0.
License requirements : None
selection | selected object |
view | selected object view |
point | selected object point |
void NXOpen::Assemblies::SelectComponent::GetValue | ( | NXOpen::InferSnapType::SnapType * | snapType, |
NXOpen::Assemblies::Component ** | selection1, | ||
NXOpen::View ** | view1, | ||
NXOpen::Point3d * | point1, | ||
NXOpen::Assemblies::Component ** | selection2, | ||
NXOpen::View ** | view2, | ||
NXOpen::Point3d * | point2 | ||
) |
The object being selected with the objects view and point and snap information.
Created in NX5.0.0.
License requirements : None
snapType | snap point type |
selection1 | first selected object |
view1 | first selected object view |
point1 | first selected object point |
selection2 | second selected object |
view2 | second selected object view |
point2 | second selected object point |
NXOpen::Assemblies::Component* NXOpen::Assemblies::SelectComponent::GetValue | ( | NXOpen::CaeObjectType::CaeSubType * | caeSubType, |
int * | caeSubId | ||
) |
void NXOpen::Assemblies::SelectComponent::SetValue | ( | NXOpen::Assemblies::Component * | selection | ) |
Sets the object being selected.
Created in NX5.0.0.
License requirements : None
selection | selected object |
void NXOpen::Assemblies::SelectComponent::SetValue | ( | NXOpen::Assemblies::Component * | selection, |
NXOpen::View * | view, | ||
const NXOpen::Point3d & | point | ||
) |
The object being selected with the object's view and object's point.
Created in NX5.0.0.
License requirements : None
selection | selected object |
view | selected object view |
point | selected object point |
void NXOpen::Assemblies::SelectComponent::SetValue | ( | NXOpen::InferSnapType::SnapType | snapType, |
NXOpen::Assemblies::Component * | selection1, | ||
NXOpen::View * | view1, | ||
const NXOpen::Point3d & | point1, | ||
NXOpen::Assemblies::Component * | selection2, | ||
NXOpen::View * | view2, | ||
const NXOpen::Point3d & | point2 | ||
) |
The object being selected with the objects view and objects point and snap information.
Created in NX5.0.0.
License requirements : None
snapType | snap point type |
selection1 | first selected object |
view1 | first selected object view |
point1 | first selected object point |
selection2 | second selected object |
view2 | second selected object view |
point2 | second selected object point |
void NXOpen::Assemblies::SelectComponent::SetValue | ( | NXOpen::Assemblies::Component * | selection, |
NXOpen::CaeObjectType::CaeSubType | caeSubType, | ||
int | caeSubId | ||
) |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.
NXOpen::Assemblies::Component* NXOpen::Assemblies::SelectComponent::Value | ( | ) |
Returns the object being selected.
Created in NX5.0.0.
License requirements : None